Subject: bug#78737: sit-for behavior changes when byte-compiled

From: Stefan Monnier <[email-masked]>
Date: Fri, 13 Jun 2025 10:51:37 -0400

> Making
>
>     (while t (read-event))
>
> infloop without being able to quit is a bad idea.  We shouldn't do it.

I don't find this terribly problematic, If you think of what that loop
means it *is* a "please shoot me in the foot" kind of thing.

I agree that not being able to escape is a problem, but it's not the
only way to get into such trouble.  IOW I think it just gets us back to
the fact that we need an "emergency quit" for bugs (which `kill -USR2`
can sometimes provide, tho it's not a quit per-se).

        Stefan